This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 178588 - Fails to detect dvb usb device removal
Fails to detect dvb usb device removal
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 20:47 EST by Richard
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:17:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard 2006-01-21 20:47:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
On removing my USB 2.0 dvb device (UK TwinHan MagicBox: more info below) from the USB port, the removal is not detected. I would expect the kernel modules to be removed and the device to cease to be listed as an attached device and the device mount point to be removed (/dev/dvb/adaptor#/*).
Also, no device will work in the same port until the machine is rebooted.

Symptom1: all of the kernel modules remain in the 'lsmod' output indefinately. The device does not disappear from 'cat /proc/bus/usb/devices if I remove all of these modules manually using 'rmmod':
dvb_usb_dibusb_mb      10561  0
dvb_usb_dibusb_common     8261  1 dvb_usb_dibusb_mb
dib3000mc              16321  1 dvb_usb_dibusb_common
dvb_usb                18633  2 dvb_usb_dibusb_mb,dvb_usb_dibusb_common
dvb_core              102249  1 dvb_usb
dvb_pll                 9541  3 dvb_usb_dibusb_mb,dvb_usb_dibusb_common,dvb_usb
dib3000mb              14145  1 dvb_usb_dibusb_mb
dib3000_common          2625  2 dib3000mc,dib3000mb

Symptom2:
The 'cat /proc/bus/usb/devices' output still has the devices listed after removal. If I re-insert the device in the same USB socket it is not detected. If I insert it into a different USB socket it is detected as an additional device. In the following output the same device is listed twice in two different ports. I also get a corresponding number of '/dev/dvb/adaptor#'s too:

(taken from cat /proc/bus/usb/devices output)
T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  5 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1822 ProdID=3202 Rev= 0.01
S:  Manufacturer=TwinHan
S:  Product=VP7041
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 4 Cls=ff(vend.) Sub=00 Prot=00 Driver=dvb_usb_dibusb_mb
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms

T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1822 ProdID=3202 Rev= 0.01
S:  Manufacturer=TwinHan
S:  Product=VP7041
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 4 Cls=ff(vend.) Sub=00 Prot=00 Driver=dvb_usb_dibusb_mb
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms



Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1. Either boot up with the device inserted or insert into USB port after boot
2. Wait until green light is lit on device (firmware is loaded by hotplug?)
3. Remove device from USB port
4. (optionally) re-insert device in another USB port to allow it to be re-detected

Actual Results:  Linux still believes the device is attached to the original USB port. This renders the port unusable until the machine is rebooted.

Expected Results:  The loaded kernel modules, device mount points and /proc/bus/usb/devices listing should reflect the device removal.

Additional info:

The computer is relatively old (a couple of years) and so has a mixture of USB 1.1 and USB 2.0 sockets and hubs attached. I have only tested this bug in the computer's PCI USB 2.0 expansion card.
USB flash disks are added and removed from these ports correctly.
Comment 1 Dave Jones 2006-01-24 14:09:24 EST
can you repeat this with 2.6.14 kernels? (or 2.6.15 kernel from updates-testing) ?
Comment 2 Richard 2006-01-25 16:26:31 EST
I have now tried the same problem with the 2.6.14-1.1656_FC4 kernel with exactly
the same result.

For your information, when I plug in and remove a usb flash stick in the same
ports as are being tried with the dvb device, the kernel module "usb-storage"
does not get removed but the "cat /proc/bus/usb/devices" device does disappear -
just to show that it is not an issue with the actual usb ports.
Also, the part of my original post that said I expected the kernel modules to
disappear was wrong.
The other two symptoms: "cat /proc/bus/usb/devices" and the mount point:
"/dev/dvb/adaptor#" are still correct - i.e. they do disappear when I remove a
different device - the usb flash disk, but stay when I remove the dvb device.
Comment 3 Dave Jones 2006-02-03 02:33:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Richard 2006-02-03 18:30:17 EST
I have now tested it with the new kernel:
(2.6.15-1.1830_FC4 #1 Thu Feb 2 17:23:41 EST 2006 i686 athlon i386 GNU/Linux)
with the same result:
/proc/bus/usb/devices entry does not disappear
/dev/dvb/adaptor#/* do not disappear
Upon plugging in to another port, another device appears and the old port is
unusable until rebooted.
Comment 5 Dave Jones 2006-09-16 23:26:44 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 6 Dave Jones 2006-10-16 20:51:06 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 18:17:06 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.